crashpad::internal::UniversalMachExcServerImpl Class Referencefinal
Inheritance diagram for crashpad::internal::UniversalMachExcServerImpl:

## Public Member Functions

| UniversalMachExcServerImpl (UniversalMachExcServer::Interface *interface)

kern_return_t

CatchException (exception_behavior_t behavior, exception_handler_t exception_port, thread_t thread, task_t task, exception_type_t exception, const exception_data_type_t *code, mach_msg_type_number_t code_count, thread_state_flavor_t *flavor, ConstThreadState old_state, mach_msg_type_number_t old_state_count, thread_state_t new_state, mach_msg_type_number_t *new_state_count, const mach_msg_trailer_t *trailer, bool *destroy_complex_request)

kern_return_t

CatchException (exception_behavior_t behavior, exception_handler_t exception_port, thread_t thread, task_t task, exception_type_t exception, const mach_exception_data_type_t *code, mach_msg_type_number_t code_count, thread_state_flavor_t *flavor, ConstThreadState old_state, mach_msg_type_number_t old_state_count, thread_state_t new_state, mach_msg_type_number_t *new_state_count, const mach_msg_trailer_t *trailer, bool *destroy_complex_request)

Public Member Functions inherited from crashpad::CompositeMachMessageServer
void | AddHandler (MachMessageServer::Interface *handler)
| Adds a handler that messages can be dispatched to based on request message ID. More...
bool | MachMessageServerFunction (const mach_msg_header_t *in, mach_msg_header_t *out, bool *destroy_complex_request) override
| Handles a Mach RPC request. More...
std::set< mach_msg_id_t > | MachMessageServerRequestIDs () override
mach_msg_size_t | MachMessageServerRequestSize () override
mach_msg_size_t | MachMessageServerReplySize () override

The documentation for this class was generated from the following file:

- util/mach/exc_server_variants.cc